Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Check the Mute All Status of a Chatroom

Check whether all members in a specified chatroom are muted.

Request Method

POST: https://data center domain/chatroom/ban/check.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must follow the signature rule. For details, see API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, and the following HTTP form parameters are supported:

ParameterTypeRequiredDescription
chatroomIdStringYesThe ID of the chatroom to query

Request Example

POST /chatroom/ban/check.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1592295337000
Signature: ef03d19bb860b4e90ce7bd5f50652a744bc2ce92
Content-Type: application/x-www-form-urlencoded

chatroomId=123

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 indicates success.
statusNumberMute status, 1 indicates Mute All, 0 indicates not Mute All

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200,
"status": 0
}